# Uses of Interface
org.springframework.util.RouteMatcher.Route

Packages that use RouteMatcher.Route
Package
Description
org.springframework.util
Miscellaneous utility classes, such as utilities for working with strings, classes, collections, reflection, etc.

## Uses of RouteMatcher.Route in org.springframework.util

Methods in org.springframework.util that return RouteMatcher.Route
Modifier and Type
Method
Description
`RouteMatcher.Route`
RouteMatcher.`parseRoute(String routeValue)`
Return a parsed representation of the given route.
`RouteMatcher.Route`
SimpleRouteMatcher.`parseRoute(String route)`
Methods in org.springframework.util with parameters of type RouteMatcher.Route
Modifier and Type
Method
Description
`Comparator<String>`
RouteMatcher.`getPatternComparator(RouteMatcher.Route route)`
Given a route, return a `Comparator` suitable for sorting patterns in order of explicitness for that route, so that more specific patterns come before more generic ones.
`Comparator<String>`
SimpleRouteMatcher.`getPatternComparator(RouteMatcher.Route route)`
`boolean`
RouteMatcher.`match(String pattern, RouteMatcher.Route route)`
Match the given route against the given pattern.
`boolean`
SimpleRouteMatcher.`match(String pattern, RouteMatcher.Route route)`
`Map<String,String>`
RouteMatcher.`matchAndExtract(String pattern, RouteMatcher.Route route)`
Match the pattern to the route and extract template variables.
`Map<String,String>`
SimpleRouteMatcher.`matchAndExtract(String pattern, RouteMatcher.Route route)`